Subject: bug#4948: Dead key misery

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Oct 2019 03:10:05 +0200

Daniel Pfeiffer <[email-masked]> writes:

> Hi Stefan,
>
> la 11/17/2009 11:22 PM Stefan Monnier skribis:
>
>  ** Dead-key and composite character processing is done in the standard
> X11R6 manner (through the default "input method" using the
> /usr/lib/X11/locale/*/Compose databases of key combinations).  I.e. if
> it works in xterm, it should also work in Emacs now.
> This has long since stopped working.
>
>
> I don't use dead keys, but I use the compose key extensively, and it
> works just fine in my Emacs.  Can you give more detail to try and
> reproduce your problem?
>
> what details, I don't really know. It might be Ubuntu specific, because it appeared long ago when I switched from SuSE to Ubuntu. At the time I figured it must have to do with a newer Emacs, because xterm and all Gtk and Qt apps had and have no problem.
> Sorry I didn't report it then, I guess this is two years back.
>
> I think compose is not pertinent, because IMHO that does the combining in the X-server and sends the combined char, as though you had a key for it, like German dv|_ is no problem even without loading iso-transl.
>
> I'm attaching my very personal keymap (which covers my normal German external keyboard, the built in American one, with Z and Y switched German style and Esperanto letters). I've stuffed in all dead-keys, like AltGr-, for cedilla, AltGr-Shift-, for
> ogonek and AltGr-^ for circumflex. I load it with xkbcomp -xkb .X/keymap/daniel $DISPLAY, but you could just as well just set one dead key with xmodmap IIRC.
>
> coralament / best Grvtens / liebe Gr|_e / best regards / elkorajn salutojn
> Daniel Pfeiffer

The last update here was ten years ago.  Are you still seeing this issue
on a modern version of Emacs?  Dead keys seem to be working for me in
Emacs 27.1.

Best regards,
Stefan Kangas